Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Falha ao adicionar referência no install package do EntityFramework

Install-Package : Falha ao adicionar referência. O pacote 'System.IO.Compression.ZipFile' tentou adicionar uma referência de 
estrutura ao 'System.IO.Compression.FileSystem', o que não foi encontrado no GAC. Isso é provavelmente um bug no pacote. Entre em 
contato com os proprietários do pacote para obter assistência.
  Referência não disponível.
No linha:1 caractere:1
+ Install-Package Microsoft.EntityFrameworkCore.SqlServer -Version 1.1
+ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    + CategoryInfo          : NotSpecified: (:) [Install-Package], Exception
    + FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PackageManagement.PowerShellCmdlets.InstallPackageCommand
3 respostas

Conseguir instalar quando iniciei um novo projeto em .net framework 4.7.2. Que estranho! Será que é por que eu não tenho a versão instalada na qual o professor tinha disponibilizado o projeto?

Olá Leonardo!

Esse realmente pode ser alguma incompatibilidade entre versões mesmo. Você está fazendo o curso usando as versões indicadas?

No aguardo!

Não lembro do professor ter indicado uma versão do .net . Apenas do visual studio 2017.